summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
Diffstat (limited to '.tools')
-rwxr-xr-x.tools/contributors.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.tools/contributors.sh b/.tools/contributors.sh
new file mode 100755
index 00000000..f47d3115
--- /dev/null
+++ b/.tools/contributors.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core gcc ca-certificates libxml2-utils
+gitclone https://gitlab.com/evol/evol-tools.git tools
+
+cd tools/contrib_xsl
+
+make about-server
+cd ../../clientdata
+
+export RES=$(git diff)
+if [[ -n "${RES}" ]]; then
+ echo "Contributors list not updated"
+ echo "Diff:"
+ echo ${RES}
+ exit 1
+fi